CodeIgniter Forums

Full Version: Updating CodeIgniter 1.7.3 to CodeIgniter 3.1.7
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2
I am not resentful. I am ending any further comments after this. You are the one being resentful and abrasive. I came here looking for help and instead you chose to make this out to be a personal attack on you which is not the case. If you look at how the ciadmin responded to my initial question, he used decorum and tact something you clearly lack. This has not only been unwelcome news about my current issues but one of the WORST forum experiences I have ever had in ANY forum. Mods should have far more tact and professionalism than you have shown me. My questions were posed with the kindest intentions. Somehow you make this about you like you wrote EVERY version of CI which is not true. You clearly do not have the same goal in mind that EllisLab did. You are more concerned about having the last word or words in all caps then offering any professional advice. I may very well close my account and use a different framework going forward in light how you have treated me. Thanks so much for that...
Your currently at 1.7.3 right? If you follow this link: https://codeigniter.com/userguide2/insta...e_200.html
You can upgrade from 1.x to 2.0. The discussion about if 1.7.3 ever existed or not... we will not go there.
If you update all system files with the files from 2.0.3 (that has always been step 1) you just need to read the upgrade notes from the link above en go through each version until you are at 2.0.3. (Don't test your application until your finished upgrading your code till 2.0.3, because your kernel(system folder) is based off 2.0.3)
I feel you, it's a pain in the ass to go through all the versions. But if you dont want to rewrite the code thats unfortunately your only way to do it.

It's a long way untill you reach 3.1.7! But still, you will get there sometime Wink

Dont forget to adjust your php version as you go through all those versions! Because if you do the upgrade with php7+ you will get all sorts of error's!
(01-29-2018, 02:12 PM)Josh1985 Wrote: [ -> ]I am not resentful. I am ending any further comments after this. You are the one being resentful and abrasive. I came here looking for help and instead you chose to make this out to be a personal attack on you which is not the case. If you look at how the ciadmin responded to my initial question, he used decorum and tact something you clearly lack. This has not only been unwelcome news about my current issues but one of the WORST forum experiences I have ever had in ANY forum. Mods should have far more tact and professionalism than you have shown me. My questions were posed with the kindest intentions.

Right ...

I give you all the info in the world you need, but I'm somehow unhelpful with that. Apparently, that doesn't make you resentful of me also pointing out mistakes you've made - no, it somehow makes me resentful instead.

Yes, @ciadmin is patient and tactful and I am not much so. Do you know why that is? Because I've dealt with hundreds, if not thousands of people like you who demand to be treated the best way possible, but can't police their own tone, and you call that "professionalism".
Professionalism is not acting like a selfless customer support agent to everybody. Profressionalism is doing things right even when you don't like or are lazy about them, like taking care of regular updates. It's also something about your profession, and being a forum moderator is certainly not mine. The only reason why I even mentioned I'm a moderator is because you started acting all upset and called for a moderator. I happen to have moderator privileges because of my overall role in CI, which is also a hobby for me - we all do this for free in our spare time; you can't demand to be treated like a paying customer.

Communication is hard and I sure as hell am not the best at it, but one thing I know for sure is it's a two-way street. You may've had the best intentions - I believe you on that, and I did too - but it didn't necessarily look like that, and I responded in the absolutely same way as you do, except I don't use CAPS in every sentence.

(01-29-2018, 02:12 PM)Josh1985 Wrote: [ -> ]Somehow you make this about you like you wrote EVERY version of CI which is not true.

Yeah, no ... Now you're just making shit up.

(01-29-2018, 02:12 PM)Josh1985 Wrote: [ -> ]You clearly do not have the same goal in mind that EllisLab did.

Don't be ridiculous. You don't know anything about what EllisLab had in mind with CI, or anything else for that matter.

But I don't have the same goal indeed. Here's why: CodeIgniter originated as parts of ExpressionEngine being split, so that they can reuse that code for their other projects. Literally nobody can possibly have that same goal.

(01-29-2018, 02:12 PM)Josh1985 Wrote: [ -> ]You are more concerned about having the last word or words in all caps then offering any professional advice.

1. You are the one writing words in all caps, not me.
2. Explaining to you why you should regularly update your dependencies is possibly the most professional advice you've ever got on any internet forum.

(01-29-2018, 02:12 PM)Josh1985 Wrote: [ -> ]I may very well close my account and use a different framework going forward in light how you have treated me. Thanks so much for that...

In light of how scared of a rewrite you are, that might be a good thing, because a rewrite is certainly the better option you have.
Pages: 1 2